> For the complete documentation index, see [llms.txt](https://yall.yassrobotics.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://yall.yassrobotics.com/api-reference/java-reference/target-types/neural-classifier.md).

# NeuralClassifier

**Package:** `limelight.networktables.target.pipeline`

A single result from the JSON `Classifier` array in [`LimelightResults`](/api-reference/java-reference/networktables/limelight-results.md). The classifier pipeline labels the whole image/zone rather than drawing a bounding box.

***

## Fields

| Field                    | Type     | Description                                   |
| ------------------------ | -------- | --------------------------------------------- |
| `className`              | `String` | Predicted class name (`class`).               |
| `classID`                | `double` | Predicted class ID (`classID`).               |
| `confidence`             | `double` | Prediction confidence (`conf`).               |
| `zone`                   | `double` | Zone index the classification applies to.     |
| `tx`, `ty`               | `double` | Object position in the image as a percentage. |
| `tx_pixels`, `ty_pixels` | `double` | Object position in the image as pixels.       |

## Usage

```java
limelight.getLatestResults().ifPresent(result -> {
    for (NeuralClassifier object : result.targets_Classifier) {
        if (object.className.equals("algae") && object.confidence > 0.7) {
            // valid detection
        }
    }
});
```

## See Also

* [NeuralDetector](/api-reference/java-reference/target-types/neural-detector.md)
* [LimelightResults](/api-reference/java-reference/networktables/limelight-results.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://yall.yassrobotics.com/api-reference/java-reference/target-types/neural-classifier.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
